%define oname   ModemManager

%define pppver	%(rpm -q --qf "%{VERSION}" ppp)
%define pppddir	%{_libdir}/pppd/%{pppver}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Mobile broadband modem management service
Name:		modemmanager
Version:	0.6.0.0
Release:	%mkrel 3
Source:		http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Networking
URL:		http://www.gnome.org/projects/NetworkManager/
BuildRequires:	intltool
BuildRequires:	ppp-devel
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.86
BuildRequires:	pkgconfig(glib-2.0) >= 2.18
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.95
Requires:	usb_modeswitch

%description
The ModemManager service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x \
	--enable-more-warnings=yes \
	--with-udev-base-dir=%{_prefix}/lib/udev \
	--with-tests=yes \
	--with-docs=yes \
	--with-polkit=yes \
	--disable-static \
	--with-pppd-plugin-dir=%{pppddir}

%make

%check
make check

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

# we don't have a devel pkg
rm -f %{buildroot}%{_includedir}/mm/*.h

# only used by test suite
rm -f %{buildroot}%{_libdir}/pppd/%{pppver}/mm-test-pppd-plugin.so

%files
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.modem-manager.policy
%{_sbindir}/modem-manager
%dir %{_libdir}/%{oname}
%{_libdir}/%{oname}/libmm-plugin-*.so
%{_udevrulesdir}/*.rules
%{_datadir}/icons/hicolor/22x22/apps/modem-manager.png


%changelog

* Tue Jan 22 2013 fwang <fwang> 0.6.0.0-3.mga3
+ Revision: 390924
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.6.0.0-2.mga3
+ Revision: 360188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 ovitters <ovitters> 0.6.0.0-1.mga3
+ Revision: 285478
- new version 0.6.0.0

* Thu Jul 19 2012 ovitters <ovitters> 0.5.995.0-1.mga3
+ Revision: 272468
- new version 0.5.995.0

* Thu Jul 19 2012 ovitters <ovitters> 0.5.3.96-1.mga3
+ Revision: 272463
- new version 0.5.3.96

* Wed Mar 14 2012 ovitters <ovitters> 0.5.2.0-1.mga3
+ Revision: 223383
- new version 0.5.2.0

* Mon Feb 27 2012 ovitters <ovitters> 0.5.1.97-1.mga2
+ Revision: 215590
- new version

* Tue Jan 10 2012 wally <wally> 0.5.1.95-1.mga2
+ Revision: 194560
- new version 0.5.1.95
- clean BRs
- clean .spec a bit
- new version 0.5
- enable polkit support
- clean .spec

* Tue Mar 01 2011 eandry <eandry> 0.5-0.20110228.2.mga1
+ Revision: 61978
- fix Requires

* Mon Feb 28 2011 eandry <eandry> 0.5-0.20110228.1.mga1
+ Revision: 61873
- Test disabling parallel make
- Test disabling make check
- New git snapshot 20110228
  BR polkit-devel
- use provided .autogen.sh, autoreconf fails
- update files list
- Requires usb-modeswitch
- BR ppp-devel
- clean spec
- imported package modemmanager

